package com.ibm.tools.attach.javaSE;

/*
 * Licensed Materials - Property of IBM,
 *     Copyright IBM Corp. 2009, 2010  All Rights Reserved
 */

import com.ibm.tools.attach.AttachPermission;

/**
 * @note Holder for the permissions objects
 *
 */
public interface Permissions {

	/**
	 * Ability to attach to another Java virtual machine and load agents into
	 * that VM.
	 */
	final static AttachPermission ATTACH_VM = new AttachPermission(
			"attachVirtualMachine", null); //$NON-NLS-1$;

	/**
	 * Ability to create an AttachProvider instance.
	 */
	static final AttachPermission CREATE_ATTACH_PROVIDER = new AttachPermission(
			"createAttachProvider", null); //$NON-NLS-1$;

}
